// Copyright (C) 2000
//          by the Massachusetts Institute of Technology
//
//    Export of this software from the United States of America may
//    require a specific license from the United States Government.  It
//    is the responsibility of any person or organization contemplating
//    export to obtain such a license before exporting.
//
// WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
// distribute this software and its documentation for any purpose and
// without fee is hereby granted, provided that the above copyright
// notice appear in all copies and that both that copyright notice and
// this permission notice appear in supporting documentation, and that
// the name of M.I.T. not be used in advertising or publicity pertaining
// to distribution of the software without specific, written prior
// permission.  M.I.T. makes no representations about the suitability of
// this software for any purpose.  It is provided "as is" without express
// or implied warranty.

// SessionPg1.cpp : implementation file
//

#include "stdafx.h"
#include "winssh.h"
#include "SessionPg1.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSessionPg1 property page

IMPLEMENT_DYNCREATE(CSessionPg1, CPropertyPage)

CSessionPg1::CSessionPg1() : CPropertyPage(CSessionPg1::IDD)
{
	//{{AFX_DATA_INIT(CSessionPg1)
	m_FontPreview = _T("");
	//}}AFX_DATA_INIT
}

CSessionPg1::~CSessionPg1()
{
}

void CSessionPg1::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSessionPg1)
	DDX_Control(pDX, IDC_LIST_FONTSIZES, m_LBoxFontSizes);
	DDX_Control(pDX, IDC_LIST_FONTS, m_LBoxFonts);
	DDX_Text(pDX, IDC_EDIT_PREVIEW, m_FontPreview);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSessionPg1, CPropertyPage)
	//{{AFX_MSG_MAP(CSessionPg1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSessionPg1 message handlers

BOOL CSessionPg1::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	m_LBoxFonts.AddString("Mike's NewRoman");
	m_LBoxFonts.AddString("Dougs font");
	m_LBoxFonts.AddString("Tims font");
	m_LBoxFonts.SetCurSel(-1);

	m_LBoxFontSizes.AddString("10");
	m_LBoxFontSizes.AddString("12");
	m_LBoxFontSizes.AddString("14");
	m_LBoxFontSizes.AddString("1000");
	m_LBoxFontSizes.SetCurSel(-1);


	m_FontPreview = "Hello World";

	// ok, to make this work is gonna take some effort unless a predefined
	// set of font instructions is available

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
